| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
StatisticsWriterImpl Class Reference

`#include <StatisticsCommon.hpp>`

## Protected Member Functions

void | on_sample_datas (const fastdds::rtps::SampleIdentity &, size_t)
| Report a change on the number of DATA / DATAFRAG submessages sent for a specific sample.
void | on_heartbeat (uint32_t)
| Report that a HEARTBEAT message is sent Parameter: current count of heartbeats.
void | on_data_generated (size_t)
| Report that a DATA / DATA_FRAG message is generated Parameter: number of locators to which the message will be sent.
void | on_data_sent ()
| Notify listeners of DATA / DATA_FRAG counts.
void | on_publish_throughput (uint32_t)
| Reports publication throughtput based on last added sample to writer's history Parameter: size of the message sent.
void | on_gap ()
| Report that a GAP message is sent.
void | on_resent_data (uint32_t)

## Friends

class | fastdds::rtps::RTPSMessageGroup

## Member Function Documentation

## ◆ on_data_generated()

void on_data_generated | ( | size_t |  | ) |

inline protected

Report that a DATA / DATA_FRAG message is generated Parameter: number of locators to which the message will be sent.

## ◆ on_data_sent()

void on_data_sent | ( |  | ) |

inline protected

Notify listeners of DATA / DATA_FRAG counts.

## ◆ on_gap()

void on_gap | ( |  | ) |

inline protected

Report that a GAP message is sent.

## ◆ on_heartbeat()

void on_heartbeat | ( | uint32_t |  | ) |

inline protected

Report that a HEARTBEAT message is sent Parameter: current count of heartbeats.

## ◆ on_publish_throughput()

void on_publish_throughput | ( | uint32_t |  | ) |

inline protected

Reports publication throughtput based on last added sample to writer's history Parameter: size of the message sent.

## ◆ on_resent_data()

void on_resent_data | ( | uint32_t |  | ) |

inline protected

## ◆ on_sample_datas()

void on_sample_datas | ( | const fastdds::rtps::SampleIdentity & | ,
|  | size_t | )

inline protected

Report a change on the number of DATA / DATAFRAG submessages sent for a specific sample.

Parameter: SampleIdentity of the affected sample. Parameter: Current total number of submessages sent for the affected sample.

## Friends And Related Symbol Documentation

## ◆ fastdds::rtps::RTPSMessageGroup

friend class fastdds::rtps::RTPSMessageGroup

friend

The documentation for this class was generated from the following file:

- include/fastdds/statistics/rtps/StatisticsCommon.hpp